;;; base-functions.el --- Custom functions
;;; Commentary:

;; Custom functions for my personal Emacs config.

;;; Code:

(require 'projectile)
(require 'neotree)

(defun dct/neotree-project-dir ()
  "Open NeoTree at the git root."
  (interactive)
  (let ((project-dir (projectile-project-root))
	(file-name (buffer-file-name)))
    (neotree-toggle)
    (if project-dir
	(if (neo-global--window-exists-p)
	    (progn
	      (neotree-dir project-dir)
	      (neotree-find file-name)))
      (message "Could not find git project root."))))


(provide 'base-functions)

;;; base-functions.el ends here
