;;; base-global-keys.el --- Global key mappings
;;; Commentary:

;; Global key mappings for my personal Emacs config.

;;; Code:

;; On Mac, make the meta/super in same position as on PC
(when (eq system-type 'darwin)
  (setq mac-command-modifier 'meta)
  (setq mac-option-modifier nil))

;; Use super in emacs as much as possible on Windows
(if (eq system-type 'windows-nt)
    (progn
      (setq w32-lwindow-modifier 'super)
      (w32-register-hot-key [s-])))

;; Overrides
(global-set-key (kbd "C-x f") 'counsel-recentf)

;; General Custom Super Bindings
(global-set-key (kbd "s-k") 'kill-this-buffer)
(global-set-key (kbd "s-/") 'counsel-rg)

;; Projectile related
(global-set-key (kbd "C-x p n") 'dct/neotree-project-dir)
(global-set-key [f8] 'dct/neotree-project-dir)
(global-set-key (kbd "C-x p /") 'projectile-grep)

(provide 'base-global-keys)

;;; base-global-keys.el ends here
