;;; lang-go.el --- Go language configuration
;;; Commentary:

;; Packages and configuration for Go programming.

;;; Code:

(use-package go-mode
  :ensure t
  :mode
  ("\\.go$" . go-mode)
  :config
  (setq gofmt-command "gofumpt")
  (add-hook 'before-save-hook 'gofmt-before-save))

(use-package eglot
  :ensure t
  :hook (go-mode . eglot))

(use-package gotest
  :ensure t
  :after go-mode)

(provide 'lang-go)

;;; lang-go.el ends here
