;;; init.el --- Personal Emacs config initialization
;;; Commentary:

;; Basic initialization for my personal Emacs config.

;;; Code:

;; For performance
(setq gc-cons-threshold 100000000)
(setq read-process-output-max (* 1024 1024)) ;; 1mb


(add-hook 'after-init-hook #'(lambda ()
                               ;; restore after startup
                               (setq gc-cons-threshold 800000)))

;; Disable setting load from gconf
(define-key special-event-map [config-changed-event] #'ignore)

(add-to-list 'load-path (concat user-emacs-directory "elisp"))
(add-to-list 'load-path "/usr/share/emacs/site-lisp/mu4e/")

(require 'base)
(require 'base-theme)
(require 'base-extensions)
(require 'base-functions)
(require 'base-global-keys)

(require 'lang-python)
(require 'lang-go)
(require 'lang-javascript)
(require 'lang-web)
(require 'lang-c)
(require 'lang-markdown)

(require 'app-elpher)
(require 'app-org)

(require 'ssh-agency)

;;; init.el ends here
